Bug 740439 - Medium: cib: Fix compilation of ACL code
Summary: Medium: cib: Fix compilation of ACL code
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pacemaker
Version: 15
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Beekhof
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/ClusterLabs/pacema...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 04:11 UTC by Andrew Beekhof
Modified: 2011-09-22 12:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-22 12:27:28 UTC


Attachments (Terms of Use)

Description Andrew Beekhof 2011-09-22 04:11:21 UTC
 Filed by: gao-yan at 2011-09-05 03:24:27 (Closed: 2011-09-05 19:59:28)
 Patch: https://github.com/ClusterLabs/pacemaker/pull/1.patch

 | Hi Andrew,
 | 
 | The following commit breaks compilation of ACL code:
 | 
 | commit 8b1b087144f60c569083156c7de3f3c915dd910f
 | Author: Andrew Beekhof <andrew@beekhof.net>
 | Date:   Fri Sep 2 20:09:36 2011 +1000
 | 
 |     Low: Core: Remove use of the xml_prop_iter macros - they confuse parsers, analyisers and indent tools
 | 
 | The commit fixes this.

 gao-yan at 2011-09-05 20:00:49
 > Curious. Shouldn't it be automatically closed?

 russellb at 2011-09-06 05:27:10
 > I think it will only get automatically closed if the pull request is merged by clicking merge in the pull request.  If you merge manually, you have to come back and close the pull request.

 gao-yan at 2011-09-06 05:59:48
 > Makes sense. Thanks for the info!

 beekhof at 2011-09-06 15:16:09
 > Yeah, in this case I used the fork queue.
 >

Comment 1 Andrew Beekhof 2011-09-22 12:27:28 UTC
Testing BZ import from github.


Note You need to log in before you can comment on or make changes to this bug.